#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 31. KDE Frameworks 6 Based Applications

- Prev

  libkdcraw-25.12.2

- Next

  libkcddb-25.12.2

- Up
- Home

# gwenview-25.12.2

## Introduction to Gwenview

Gwenview is a fast and easy-to-use image viewer for KDE.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.kde.org/stable/release-service/25.12.2/src/gwenview-25.12.2.tar.xz

- Download MD5 sum: 41a4dc17c1c40b528ec2ccd91c1c665c

- Download size: 6.2 MB

- Estimated disk space required: 71 MB

- Estimated build time: 0.6 SBU (using parallelism=4)

### Gwenview Dependencies

#### Required

Exiv2-0.28.8, kimageannotator-0.7.2, KDE Frameworks-6.23.0, and Little CMS-2.19

#### Recommended

libkdcraw-25.12.2

#### Optional

plasma-activities-6.6.1 and CFitsio

## Installation of Gwenview

Install Gwenview by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=$KF6_PREFIX \
          -D CMAKE_BUILD_TYPE=Release         \
          -D BUILD_TESTING=OFF                \
          -W no-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Program: gwenview and gwenview_importer
Installed Libraries: libgwenviewlib.so and gvpart.so
Installed Directories: $KF6_PREFIX/share/{gwenview,doc/HTML/*/gwenview}

### Short Descriptions

gwenview | is the KDE image viewer
gwenview_importer | is a Photo importer

- Prev

  libkdcraw-25.12.2

- Next

  libkcddb-25.12.2

- Up
- Home